%define anolis_release 1
Name:           libnftnl
Version:        1.2.6
Release:        %{anolis_release}%{?dist}
Summary:        Library for low-level interaction with nftables Netlink's API over libmnl

License:        GPLv2+
URL:            https://netfilter.org/projects/libnftnl/
Source0:        https://www.netfilter.org/pub/libnftnl/libnftnl-%{version}.tar.xz

BuildRequires:  pkgconfig(libmnl) >= 1.0.4
BuildRequires:  gcc
BuildRequires:  make
Requires:	libmnl >= 1.0.4

# replace old libnftables package
Provides: libnftables = %{version}-%{release}
Obsoletes: libnftables < 0-0.6

%description
A library for low-level interaction with nftables Netlink's API over libmnl.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
# replace old libnftables-devel package
Provides: libnftables-devel = %{version}-%{release}
Obsoletes: libnftables-devel < 0-0.6

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules --with-json-parsing
%make_build

%check
%make_build check

%install
%make_install

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/*.so.*
%{abidir}/*.dump

%files devel
%{_libdir}/libnft*.so
%{_libdir}/pkgconfig/libnftnl.pc
%{_includedir}/libnftnl

%changelog
* Fri Jul 14 2023 Funda Wang <fundawang@yeah.net> - 1.2.6-1
- New version 1.2.6

* Tue Mar 14 2023 Funda Wang <fundawang@yeah.net> - 1.2.5-1
- New version 1.2.5

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.2.4-1
- New version 1.2.4

* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.3-2
- optimise spec file

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.3-1
- update to 1.2.3

* Tue Mar  8 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 1.2.1-1
- Init version from upstream v1.2.1
